% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utilities.R
\name{named_lapply}
\alias{named_lapply}
\title{Create a named list with \code{lapply} from a character vector}
\usage{
named_lapply(.names, FUN, ...)
}
\arguments{
\item{.names}{A character vector holding the names of the list}

\item{FUN}{Here comes the great difference to \code{\link[base:lapply]{base::lapply()}} and
\code{\link[base:sapply]{base::sapply()}}. When using \code{lapplI} and \code{sapplI}, the function
passed into \code{FUN} may also have an extra argument \code{.I}. If it does, then
for each item of \code{X} the current item index
is passed into argument \code{.I} of \code{FUN}.
Besides this extra feature, there is no difference to \code{\link[base:lapply]{base::lapply()}} and
\code{\link[base:sapply]{base::sapply()}}.}

\item{...}{optional arguments to \code{FUN}.}
}
\value{
A named list
}
\description{
Create a named list with \code{lapply} from a character vector
}
